### Function

# GLib SList copy

#### Declaration [src]

    GSList*
    g_slist_copy (
      GSList* list
    )

#### Description [src]

Copies a `GSList`.

Note that this is a “shallow” copy. If the list elements consist of pointers to data, the pointers are copied but the actual data isn’t. See `g_slist_copy_deep()` if you need to copy the data as well.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

A copy of `list`.

The data is owned by the called function.